<template>
  <q-drawer
    v-model="drawerState"
    show-if-above
    :width="200"
    :breakpoint="400"
    :overlay="$q.screen.lt.sm"
    bordered
  >
    <!-- Пользовательский контент, если пользователь вошел в систему -->
    <template v-if="isLoggedIn">
      <q-img class="absolute-top" :src="userCover" style="height: 150px">
        <div class="bg-transparent flex flex-center column full-width">
          <q-avatar size="64px" class="q-mb-sm">
            <img :src="userAvatar" @error="fallbackToDefaultAvatar" />
          </q-avatar>
          <div class="text-weight-bold full-width ellipsis">{{ fullName }}</div>
          <div class="text-caption full-width">{{ userId }}</div>
        </div>
      </q-img>
    </template>

    <!-- Меню навигации -->
    <q-scroll-area
      style="height: calc(100% - 150px); border-right: 1px solid #ddd"
    >
      <q-list padding>
        <!-- Элементы списка -->
        <!-- Пример элемента списка -->
        <q-item clickable v-ripple :to="{ path: '/example' }">
          <q-item-section avatar>
            <q-icon name="example_icon" />
          </q-item-section>
          <q-item-section>Example Item</q-item-section>
        </q-item>
        <!-- Дополнительные элементы списка -->
      </q-list>
    </q-scroll-area>
  </q-drawer>
</template>

<script lang="ts">
import { defineComponent, ref, computed } from 'vue';
import { useQuasar } from 'quasar';

export default defineComponent({
  name: 'DrawerComponent',
  props: {
    drawerLeft: Boolean,
    userCover: String,
    userAvatar: String,
    fullName: String,
    userId: String,
    isLoggedIn: Boolean,
  },
  setup(props) {
    const $q = useQuasar();
    const drawerState = ref(props.drawerLeft);

    const fallbackToDefaultAvatar = () => {
      // Здесь логика для установки резервного аватара
    };

    return {
      $q,
      drawerState,
      fallbackToDefaultAvatar,
    };
  },
});
</script>

<style scoped>
/* Стили для Drawer, если необходимы */
</style>
